<div>
  <div #image_wrapper class="image-canvas">
    <img [src]="dataSource" />
    <div class="tag-collection">
      <app-bb-tags
        *ngFor="let bbox of bboxList; let i = index"
        [index]="i"
        [onTop]="i == topIndex"
        [(bbox)]="bbox.bbox"
        (closeBoundingBox)="removeBoundingBox($event)"
        (changeTopIndex)="setTopIndex($event)"
      ></app-bb-tags>
    </div>
  </div>
</div>
